"""
Generate time series of nominated "gauges" read from project.gauge_filename. This 
is done by first running sww2csv_gauges on two different directories to make 
'csv' files. Then running csv2timeseries_graphs detailing the two directories 
containing the csv file and produces one set of graphs in the 'output_dir' containing
the details at the gauges for both these sww files.

Note, this script will only work if pylab is installed on the platform

"""

from os import sep
from anuga.abstract_2d_finite_volumes.util import sww2csv_gauges,csv2timeseries_graphs

import project


#timestamp='20080724_121200_run_trial_0.6_polyline_alpha0.1_kvanputt'
#timestamp='20080724_161830_run_final_0.6_polyline_alpha0.1_kvanputt'
timestamp1='20080815_103818_run_final_0_polyline_newExtent_kvanputt'
timestamp2='20080815_103708_run_final_0.6_polyline_newExtent_kvanputt'

timestamps = [timestamp1, timestamp2]
for timestamp in timestamps:

    filename1=project.output_dir+timestamp+sep+project.scenario_name+'.sww'
    filename2=project.output_dir+timestamp+sep+'busselton_time_38340'+sep+project.scenario_name+'_time_38340_0.sww'

    filenames = [filename1, filename2]
    for filename in filenames:

        sww2csv_gauges(filename,
                        project.gauges_dir_name,
                        #project.gauges_dir_name2,
                        quantities = ['stage','speed','depth','elevation'],
                        verbose=True)
                    

    

